#include <gnome.h>
#include "interface.h"
#include "callbacks.h"

GtkWidget*
create_CompteBon (void)
{
  GtkWidget *vbox1;
  GtkWidget *label1;
  GtkWidget *hbox1;
  GList *combo1_items = NULL;
  GList *combo2_items = NULL;
  GList *combo3_items = NULL;
  GList *combo4_items = NULL;
  GList *combo5_items = NULL;
  GList *combo6_items = NULL;
  GtkWidget *combo1;
  GtkWidget *combo2;
  GtkWidget *combo3;
  GtkWidget *combo4;
  GtkWidget *combo5;
  GtkWidget *combo6;
  GtkWidget *hbox2;
  GtkWidget *label2;
  GtkWidget *ButGo;
  GtkWidget *hseparator1;
  GtkWidget *label3;
  GtkWidget *scrolledwindow1;
  GtkWidget *ButQuit;

  CompteBon = gtk_window_new (GTK_WINDOW_TOPLEVEL);
  gtk_object_set_data (GTK_OBJECT (CompteBon), "CompteBon", CompteBon);
  gtk_window_set_title (GTK_WINDOW (CompteBon), _("Le compte est toujours bon !"));

  vbox1 = gtk_vbox_new (FALSE, 5);
  gtk_widget_ref (vbox1);
  gtk_object_set_data_full (GTK_OBJECT (CompteBon), "vbox1", vbox1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (vbox1);
  gtk_container_add (GTK_CONTAINER (CompteBon), vbox1);
  gtk_container_set_border_width (GTK_CONTAINER (vbox1), 5);

  label1 = gtk_label_new (_("Indiquez les 6 chiffres de dpart :"));
  gtk_widget_ref (label1);
  gtk_object_set_data_full (GTK_OBJECT (CompteBon), "label1", label1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label1);
  gtk_box_pack_start (GTK_BOX (vbox1), label1, FALSE, FALSE, 0);

  hbox1 = gtk_hbox_new (FALSE, 10);
  gtk_widget_ref (hbox1);
  gtk_object_set_data_full (GTK_OBJECT (CompteBon), "hbox1", hbox1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (hbox1);
  gtk_box_pack_start (GTK_BOX (vbox1), hbox1, TRUE, TRUE, 0);

  combo1 = gtk_combo_new ();
  gtk_widget_ref (combo1);
  gtk_object_set_data_full (GTK_OBJECT (CompteBon), "combo1", combo1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (combo1);
  gtk_box_pack_start (GTK_BOX (hbox1), combo1, TRUE, TRUE, 0);
  combo1_items = g_list_append (combo1_items, _("1"));
  combo1_items = g_list_append (combo1_items, _("2"));
  combo1_items = g_list_append (combo1_items, _("3"));
  combo1_items = g_list_append (combo1_items, _("4"));
  combo1_items = g_list_append (combo1_items, _("5"));
  combo1_items = g_list_append (combo1_items, _("6"));
  combo1_items = g_list_append (combo1_items, _("7"));
  combo1_items = g_list_append (combo1_items, _("8"));
  combo1_items = g_list_append (combo1_items, _("9"));
  combo1_items = g_list_append (combo1_items, _("10"));
  combo1_items = g_list_append (combo1_items, _("25"));
  combo1_items = g_list_append (combo1_items, _("50"));
  combo1_items = g_list_append (combo1_items, _("75"));
  combo1_items = g_list_append (combo1_items, _("100"));
  gtk_combo_set_popdown_strings (GTK_COMBO (combo1), combo1_items);
  g_list_free (combo1_items);

  Cbentry1 = GTK_COMBO (combo1)->entry;
  gtk_widget_ref (Cbentry1);
  gtk_object_set_data_full (GTK_OBJECT (CompteBon), "Cbentry1", Cbentry1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (Cbentry1);
  gtk_widget_set_usize (Cbentry1, 20, -2);
  gtk_entry_set_text (GTK_ENTRY (Cbentry1), _("1"));

  combo2 = gtk_combo_new ();
  gtk_widget_ref (combo2);
  gtk_object_set_data_full (GTK_OBJECT (CompteBon), "combo2", combo2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (combo2);
  gtk_box_pack_start (GTK_BOX (hbox1), combo2, TRUE, TRUE, 0);
  combo2_items = g_list_append (combo2_items, _("1"));
  combo2_items = g_list_append (combo2_items, _("2"));
  combo2_items = g_list_append (combo2_items, _("3"));
  combo2_items = g_list_append (combo2_items, _("4"));
  combo2_items = g_list_append (combo2_items, _("5"));
  combo2_items = g_list_append (combo2_items, _("6"));
  combo2_items = g_list_append (combo2_items, _("7"));
  combo2_items = g_list_append (combo2_items, _("8"));
  combo2_items = g_list_append (combo2_items, _("9"));
  combo2_items = g_list_append (combo2_items, _("10"));
  combo2_items = g_list_append (combo2_items, _("25"));
  combo2_items = g_list_append (combo2_items, _("50"));
  combo2_items = g_list_append (combo2_items, _("75"));
  combo2_items = g_list_append (combo2_items, _("100"));
  gtk_combo_set_popdown_strings (GTK_COMBO (combo2), combo2_items);
  g_list_free (combo2_items);

  Cbentry2 = GTK_COMBO (combo2)->entry;
  gtk_widget_ref (Cbentry2);
  gtk_object_set_data_full (GTK_OBJECT (CompteBon), "Cbentry2", Cbentry2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (Cbentry2);
  gtk_widget_set_usize (Cbentry2, 20, -2);
  gtk_entry_set_text (GTK_ENTRY (Cbentry2), _("1"));

  combo3 = gtk_combo_new ();
  gtk_widget_ref (combo3);
  gtk_object_set_data_full (GTK_OBJECT (CompteBon), "combo3", combo3,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (combo3);
  gtk_box_pack_start (GTK_BOX (hbox1), combo3, TRUE, TRUE, 0);
  combo3_items = g_list_append (combo3_items, _("1"));
  combo3_items = g_list_append (combo3_items, _("2"));
  combo3_items = g_list_append (combo3_items, _("3"));
  combo3_items = g_list_append (combo3_items, _("4"));
  combo3_items = g_list_append (combo3_items, _("5"));
  combo3_items = g_list_append (combo3_items, _("6"));
  combo3_items = g_list_append (combo3_items, _("7"));
  combo3_items = g_list_append (combo3_items, _("8"));
  combo3_items = g_list_append (combo3_items, _("9"));
  combo3_items = g_list_append (combo3_items, _("10"));
  combo3_items = g_list_append (combo3_items, _("25"));
  combo3_items = g_list_append (combo3_items, _("50"));
  combo3_items = g_list_append (combo3_items, _("75"));
  combo3_items = g_list_append (combo3_items, _("100"));
  gtk_combo_set_popdown_strings (GTK_COMBO (combo3), combo3_items);
  g_list_free (combo3_items);

  Cbentry3 = GTK_COMBO (combo3)->entry;
  gtk_widget_ref (Cbentry3);
  gtk_object_set_data_full (GTK_OBJECT (CompteBon), "Cbentry3", Cbentry3,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (Cbentry3);
  gtk_widget_set_usize (Cbentry3, 20, -2);
  gtk_entry_set_text (GTK_ENTRY (Cbentry3), _("1"));

  combo4 = gtk_combo_new ();
  gtk_widget_ref (combo4);
  gtk_object_set_data_full (GTK_OBJECT (CompteBon), "combo4", combo4,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (combo4);
  gtk_box_pack_start (GTK_BOX (hbox1), combo4, TRUE, TRUE, 0);
  combo4_items = g_list_append (combo4_items, _("1"));
  combo4_items = g_list_append (combo4_items, _("2"));
  combo4_items = g_list_append (combo4_items, _("3"));
  combo4_items = g_list_append (combo4_items, _("4"));
  combo4_items = g_list_append (combo4_items, _("5"));
  combo4_items = g_list_append (combo4_items, _("6"));
  combo4_items = g_list_append (combo4_items, _("7"));
  combo4_items = g_list_append (combo4_items, _("8"));
  combo4_items = g_list_append (combo4_items, _("9"));
  combo4_items = g_list_append (combo4_items, _("10"));
  combo4_items = g_list_append (combo4_items, _("25"));
  combo4_items = g_list_append (combo4_items, _("50"));
  combo4_items = g_list_append (combo4_items, _("75"));
  combo4_items = g_list_append (combo4_items, _("100"));
  gtk_combo_set_popdown_strings (GTK_COMBO (combo4), combo4_items);
  g_list_free (combo4_items);

  Cbentry4 = GTK_COMBO (combo4)->entry;
  gtk_widget_ref (Cbentry4);
  gtk_object_set_data_full (GTK_OBJECT (CompteBon), "Cbentry4", Cbentry4,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (Cbentry4);
  gtk_widget_set_usize (Cbentry4, 20, -2);
  gtk_entry_set_text (GTK_ENTRY (Cbentry4), _("1"));

  combo5 = gtk_combo_new ();
  gtk_widget_ref (combo5);
  gtk_object_set_data_full (GTK_OBJECT (CompteBon), "combo5", combo5,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (combo5);
  gtk_box_pack_start (GTK_BOX (hbox1), combo5, TRUE, TRUE, 0);
  combo5_items = g_list_append (combo5_items, _("1"));
  combo5_items = g_list_append (combo5_items, _("2"));
  combo5_items = g_list_append (combo5_items, _("3"));
  combo5_items = g_list_append (combo5_items, _("4"));
  combo5_items = g_list_append (combo5_items, _("5"));
  combo5_items = g_list_append (combo5_items, _("6"));
  combo5_items = g_list_append (combo5_items, _("7"));
  combo5_items = g_list_append (combo5_items, _("8"));
  combo5_items = g_list_append (combo5_items, _("9"));
  combo5_items = g_list_append (combo5_items, _("10"));
  combo5_items = g_list_append (combo5_items, _("25"));
  combo5_items = g_list_append (combo5_items, _("50"));
  combo5_items = g_list_append (combo5_items, _("75"));
  combo5_items = g_list_append (combo5_items, _("100"));
  gtk_combo_set_popdown_strings (GTK_COMBO (combo5), combo5_items);
  g_list_free (combo5_items);

  Cbentry5 = GTK_COMBO (combo5)->entry;
  gtk_widget_ref (Cbentry5);
  gtk_object_set_data_full (GTK_OBJECT (CompteBon), "Cbentry5", Cbentry5,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (Cbentry5);
  gtk_widget_set_usize (Cbentry5, 20, -2);
  gtk_entry_set_text (GTK_ENTRY (Cbentry5), _("1"));

  combo6 = gtk_combo_new ();
  gtk_widget_ref (combo6);
  gtk_object_set_data_full (GTK_OBJECT (CompteBon), "combo6", combo6,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (combo6);
  gtk_box_pack_start (GTK_BOX (hbox1), combo6, TRUE, TRUE, 0);
  combo6_items = g_list_append (combo6_items, _("1"));
  combo6_items = g_list_append (combo6_items, _("2"));
  combo6_items = g_list_append (combo6_items, _("3"));
  combo6_items = g_list_append (combo6_items, _("4"));
  combo6_items = g_list_append (combo6_items, _("5"));
  combo6_items = g_list_append (combo6_items, _("6"));
  combo6_items = g_list_append (combo6_items, _("7"));
  combo6_items = g_list_append (combo6_items, _("8"));
  combo6_items = g_list_append (combo6_items, _("9"));
  combo6_items = g_list_append (combo6_items, _("10"));
  combo6_items = g_list_append (combo6_items, _("25"));
  combo6_items = g_list_append (combo6_items, _("50"));
  combo6_items = g_list_append (combo6_items, _("75"));
  combo6_items = g_list_append (combo6_items, _("100"));
  gtk_combo_set_popdown_strings (GTK_COMBO (combo6), combo6_items);
  g_list_free (combo6_items);

  Cbentry6 = GTK_COMBO (combo6)->entry;
  gtk_widget_ref (Cbentry6);
  gtk_object_set_data_full (GTK_OBJECT (CompteBon), "Cbentry6", Cbentry6,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (Cbentry6);
  gtk_widget_set_usize (Cbentry6, 20, -2);
  gtk_entry_set_text (GTK_ENTRY (Cbentry6), _("1"));

  hbox2 = gtk_hbox_new (TRUE, 0);
  gtk_widget_ref (hbox2);
  gtk_object_set_data_full (GTK_OBJECT (CompteBon), "hbox2", hbox2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (hbox2);
  gtk_box_pack_start (GTK_BOX (vbox1), hbox2, FALSE, FALSE, 0);

  label2 = gtk_label_new (_("Indiquez le rsultat  trouver :   "));
  gtk_widget_ref (label2);
  gtk_object_set_data_full (GTK_OBJECT (CompteBon), "label2", label2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label2);
  gtk_box_pack_start (GTK_BOX (hbox2), label2, FALSE, FALSE, 0);

  EntryResultat = gtk_entry_new ();
  gtk_widget_ref (EntryResultat);
  gtk_object_set_data_full (GTK_OBJECT (CompteBon), "EntryResultat", EntryResultat,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (EntryResultat);
  gtk_box_pack_start (GTK_BOX (hbox2), EntryResultat, TRUE, TRUE, 0);

  ButGo = gtk_button_new_with_label (_("Go !"));
  gtk_widget_ref (ButGo);
  gtk_object_set_data_full (GTK_OBJECT (CompteBon), "ButGo", ButGo,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (ButGo);
  gtk_box_pack_start (GTK_BOX (vbox1), ButGo, FALSE, FALSE, 0);

  hseparator1 = gtk_hseparator_new ();
  gtk_widget_ref (hseparator1);
  gtk_object_set_data_full (GTK_OBJECT (CompteBon), "hseparator1", hseparator1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (hseparator1);
  gtk_box_pack_start (GTK_BOX (vbox1), hseparator1, TRUE, TRUE, 0);

  label3 = gtk_label_new (_("Rsultat"));
  gtk_widget_ref (label3);
  gtk_object_set_data_full (GTK_OBJECT (CompteBon), "label3", label3,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label3);
  gtk_box_pack_start (GTK_BOX (vbox1), label3, FALSE, FALSE, 0);

  scrolledwindow1 = gtk_scrolled_window_new (NULL, NULL);
  gtk_widget_ref (scrolledwindow1);
  gtk_object_set_data_full (GTK_OBJECT (CompteBon), "scrolledwindow1", scrolledwindow1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (scrolledwindow1);
  gtk_box_pack_start (GTK_BOX (vbox1), scrolledwindow1, TRUE, TRUE, 0);
  gtk_scrolled_window_set_policy (GTK_SCROLLED_WINDOW (scrolledwindow1), GTK_POLICY_NEVER, GTK_POLICY_ALWAYS);

  Text = gtk_text_new (NULL, NULL);
  gtk_widget_ref (Text);
  gtk_object_set_data_full (GTK_OBJECT (CompteBon), "Text", Text,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (Text);
  gtk_container_add (GTK_CONTAINER (scrolledwindow1), Text);
  gtk_widget_set_usize (Text, -2, 135);

  ButQuit = gtk_button_new_with_label (_("Quitter"));
  gtk_widget_ref (ButQuit);
  gtk_object_set_data_full (GTK_OBJECT (CompteBon), "ButQuit", ButQuit,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (ButQuit);
  gtk_box_pack_start (GTK_BOX (vbox1), ButQuit, FALSE, FALSE, 0);

  gtk_signal_connect (GTK_OBJECT (CompteBon), "destroy",
                      GTK_SIGNAL_FUNC (on_CompteBon_destroy),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (ButGo), "clicked",
                      GTK_SIGNAL_FUNC (on_ButGo_clicked),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (ButQuit), "clicked",
                      GTK_SIGNAL_FUNC (on_ButQuit_clicked),
                      NULL);

  return CompteBon;
}

GtkWidget*
create_Message (void)
{
  GtkWidget *dialog_vbox1;
  GtkWidget *ButOk;
  GtkWidget *dialog_action_area1;

  Message = gnome_message_box_new (_("Indiquez un rsultat pour le calcul !"),
                              GNOME_MESSAGE_BOX_WARNING, NULL);
  gtk_object_set_data (GTK_OBJECT (Message), "Message", Message);
  gtk_window_set_title (GTK_WINDOW (Message), _("Information"));
  gtk_window_set_policy (GTK_WINDOW (Message), FALSE, FALSE, FALSE);

  dialog_vbox1 = GNOME_DIALOG (Message)->vbox;
  gtk_object_set_data (GTK_OBJECT (Message), "dialog_vbox1", dialog_vbox1);
  gtk_widget_show (dialog_vbox1);

  gnome_dialog_append_button (GNOME_DIALOG (Message), GNOME_STOCK_BUTTON_OK);
  ButOk = g_list_last (GNOME_DIALOG (Message)->buttons)->data;
  gtk_widget_ref (ButOk);
  gtk_object_set_data_full (GTK_OBJECT (Message), "ButOk", ButOk,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (ButOk);
  GTK_WIDGET_SET_FLAGS (ButOk, GTK_CAN_DEFAULT);

  dialog_action_area1 = GNOME_DIALOG (Message)->action_area;
  gtk_widget_ref (dialog_action_area1);
  gtk_object_set_data_full (GTK_OBJECT (Message), "dialog_action_area1", dialog_action_area1,
                            (GtkDestroyNotify) gtk_widget_unref);

  gtk_signal_connect (GTK_OBJECT (Message), "close",
                      GTK_SIGNAL_FUNC (on_Message_close),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (Message), "destroy",
                      GTK_SIGNAL_FUNC (on_Message_destroy),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (ButOk), "clicked",
                      GTK_SIGNAL_FUNC (on_ButOk_clicked),
                      NULL);

  return Message;
}

