
#define NB_CHIFFRE 6
#define MAXI 5000

typedef unsigned char BOOLEAN;

typedef struct TAGDONNEE 
{
	unsigned int valeur;  /* valeur du nombre */
	BOOLEAN actif; /* = TRUE si il n'a pas t utilis */
} T_DONNEE;

typedef struct TAGOPERATION
{
	unsigned int arg1;	/* premiere operation */
	unsigned char op; /* type d'operation : 0 = addition
                                           1 = multiplication
                                           2 = soustraction
                                           3 = division */
	unsigned int arg2; /* deuxieme operation */
	unsigned int resultat; /* resultat de l'operation */
} T_OPERATION;

/* variables globales utilises dans le programme */
T_DONNEE     Donnee[NB_CHIFFRE];	           /* donnee initiales du probleme */
T_OPERATION  Operation[NB_CHIFFRE];         /* Pour le stockage des operations */
T_OPERATION  OperationSolution[NB_CHIFFRE]; /* operation solution */
unsigned int Bingo;	                       /* Resultat trouv */
unsigned int BestRes;                       /* Meilleur rsultat trouv */
BOOLEAN      Trouve;                        /* = TRUE si le probleme a t trouv */
int          NiveauSolution;                /* Profondeur de la recherche */

